Error de construcción de .NET Blazor

asp.net-core blazor

Pregunta

He intentado ejecutar la aplicación Blazor fuera de la caja para probar C # WebAssembly. Estoy teniendo problemas al intentar ejecutarlo de diferentes maneras. También he intentado hackear el runtimeconfig.json acuerdo con esta https://github.com/dotnet/cli/issues/7543

Ejecutando IIS Express

introduzca la descripción de la imagen aquí

Ejecutando BlazorApplication1 El programa '[42032] dotnet.exe' ha salido con el código -2147450749 (0x80008083).

Ejecutar en la línea de comandos No fue posible encontrar ninguna versión de marco compatible. No se encontró el marco de trabajo especificado 'Microsoft.NETCore.App', versión '2.0.0-preview3-25512-01'. - Verifique las dependencias de la aplicación y apunte a una versión de marco instalada en: \ - Alternativamente, instale la versión de marco '2.0.0-preview3-25512-01'.

Respuesta popular

Debe tener instalada la versión 2.1 de la plataforma .net core para que Blazor funcione: descargue aquí




Licencia bajo: CC-BY-SA with attribution
No afiliado con Stack Overflow
¿Es esto KB legal? Sí, aprende por qué
Licencia bajo: CC-BY-SA with attribution
No afiliado con Stack Overflow
¿Es esto KB legal? Sí, aprende por qué